#!/bin/nawk -f

##---------------------------------------------------------------
## cat lexicon  | map_lex.awk YOUR.classes 0 > YOUR.lex
## cat YOUR.lex | map_lex.awk YOUR.classes 1 > lexicon
##
## lexicon  has format:      book NN VB
## YOUR.classes has format:  180 NN VB
## YOUR.lex has format:      book 180
##
## so this is a mapping between class numbers and POS names in the classes
##-------------------------------------------------------------
 

##------------- read YOUR.classes file -------------
BEGIN { 
  num=0;
  while((getline < ARGV[1]) > 0 )
  { 
    CC=""; 
    for(i=2; i<= NF; i++) 
    { CC = CC$i; 
      if(i!= NF) CC = CC" ";
    } 
    classes[num]= CC;
    numbers[num]= $1;
    Classes[$1]=CC;
    Numbers[CC]=$1;
    num++;
  }
  ARGV[1]="";  ##  ARGC--;
  DIR = ARGV[2];
  ARGV[2]="";  ##  ARGC--;
  if(3>=ARGC) ARGV[ARGC++]="-";
}

##------------- map lexicons  -------------
{
  CC="";
  for(i=2; i<= NF; i++)
  { CC = CC$i; 
    if(i!= NF) CC = CC" ";
  } 
  if(DIR==0)   printf("%s %s\n",$1, Numbers[CC]);
  else         printf("%s %s\n",$1, Classes[CC]);    
}
